#import "ProgramTable.h"

#import <Foundation/NSString.h>
#import <Foundation/NSObject.h>
#import <Foundation/NSArray.h>

@interface AreaProgram : NSObject
{
@private
  NSString* areaName;
  NSString* waveClass;
  NSString* dateString;
  NSMutableArray* channelPrograms;
  long time;
}

// initializers
-(AreaProgram*)init;
-(AreaProgram*)initWithParameters : (NSString*)name : (int) dateValue;
// generate object with CSV filename
+(AreaProgram*)areaProgramWithFile: (NSString*)filename;

// destructor
-(void)dealloc;

// accessor to channels
-(int)getChannelSize;
-(void)appendChannel : (ProgramTable*) table;
-(NSArray*)getChannels;
-(ProgramTable*)getChannelAt : (int)num;

// accessors to area (prefecture)
-(NSString*)getArea;
-(void)setArea :(NSString*) area;

// accessors to date
-(NSString*)getDate;
-(void)setDate :(NSString*) date;

// accessors to wave (UHF, VHF, BS Digital, AM, FM)
-(NSString*)getWave;
-(void)setWave :(NSString*) wave;

// to string
-(NSString*)description;
// currently broadcasting programs in line-separated text
-(NSString*)toStringProgramList: (int) timeValue;

@end
